Subject: Re: [v6ops] draft-templin-v6ops-pdhost a working group draft?

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 15 Jan 2018 20:54:19 +0000

Hi Gert,

> -----Original Message-----
> From: Gert Doering [mailto:[email-masked]]
> Sent: Monday, November 20, 2017 10:38 AM
> To: Templin, Fred L <[email-masked]>
> Cc: Gert Doering <[email-masked]>; Ole Troan <[email-masked]>; [email-masked]
> Subject: Re: [v6ops] draft-templin-v6ops-pdhost a working group draft?
> 
> Hi,
> 
> On Mon, Nov 20, 2017 at 06:32:53PM +0000, Templin, Fred L wrote:
> > > > The DHCPv6 client piece in OpenVPN is a few hundred lines of code
> > > > and was not hard to implement. And, if the client needs to do
> > > > something to request, manage and maintain a delegated prefix it
> > > > might as well be DHCPv6.
> > >
> > > So what does your patch *do* with the received prefix (since it's
> > > an out of tree patch I haven't seen yet)?  "Just configure it on the
> > > tun interface" (you do not need DHCPv6-PD for that)?
> >
> > It configures addresses derived from the prefix and assigns them
> > to the tun interface. It does not join the solicited-node multicast
> > address nor perform DAD over the tun interface.
> 
> So where's the benefit of doing DHCPv6-PD here?  *This* is a function
> OpenVPN can do out of the box just fine... *scratch head*
> 
> Single address, or "many"?
> 
> > Right now, it is only assigning a single address but it can in fact assign
> > as many addresses as it wants as shown in Figure 3 of 'pdhost'
> > without having to invoke MLD or DAD.
> >
> > Do you want to see our code?
> 
> It would be nice to have a look, but the "do DHCPv6-PD handshake" is not
> the really challenging bit

Per your interest, and for the benefit of the community, we published our
code on 01/10/2018: 

https://www.ietf.org/mail-archive/web/v6ops/current/msg28860.html

> - "do something interesting with the prefix"
> is...

That subject is covered in detail in 'draft-templin-v6ops-pdhost', and the
code provides an example.

Thanks - Fred

> Gert Doering
>         -- NetMaster
> --
> have you enabled IPv6 on something today...?
> 
> SpaceNet AG                        Vorstand: Sebastian v. Bomhard
> Joseph-Dollinger-Bogen 14          Aufsichtsratsvors.: A. Grundner-Culemann
> D-80807 Muenchen                   HRB: 136055 (AG Muenchen)
> Tel: +49 (0)89/32356-444           USt-IdNr.: DE813185279